<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.2) on Thu Mar 19 16:19:53 CET 2020 -->
<title>Uses of Class com.crea.dev2.poo.beans.Eleve</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-03-19">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.crea.dev2.poo.beans.Eleve";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class com.crea.dev2.poo.beans.Eleve" class="title">Uses of Class<br>com.crea.dev2.poo.beans.Eleve</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#com.crea.dev2.poo.dao">com.crea.dev2.poo.dao</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="com.crea.dev2.poo.dao">
<!--   -->
</a>
<h3>Uses of <a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a> in <a href="../../dao/package-summary.html">com.crea.dev2.poo.dao</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../dao/package-summary.html">com.crea.dev2.poo.dao</a> that return <a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">EleveDAO.</span><code><span class="memberNameLink"><a href="../../dao/EleveDAO.html#getEleveByNum(java.lang.String)">getEleveByNum</a></span>&#8203;(java.lang.String&nbsp;num)</code></th>
<td class="colLast">
<div class="block">Liste un élève en particulier d'après son identifiant passé en paramètre de la fonction.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../dao/package-summary.html">com.crea.dev2.poo.dao</a> that return types with arguments of type <a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">EleveDAO.</span><code><span class="memberNameLink"><a href="../../dao/EleveDAO.html#getAllEleve()">getAllEleve</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">EleveDAO.</span><code><span class="memberNameLink"><a href="../../dao/EleveDAO.html#getEleveByNo(int)">getEleveByNo</a></span>&#8203;(int&nbsp;no)</code></th>
<td class="colLast">
<div class="block">Selection d'1 ou +sieurs Eleve par son numéro de chambre</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">EleveDAO.</span><code><span class="memberNameLink"><a href="../../dao/EleveDAO.html#getEleveByNom(java.lang.String)">getEleveByNom</a></span>&#8203;(java.lang.String&nbsp;listsnoms)</code></th>
<td class="colLast">
<div class="block">Selection d'Eleve(s) par le nom</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">EleveDAO.</span><code><span class="memberNameLink"><a href="../../dao/EleveDAO.html#getListEleveByDateN(int)">getListEleveByDateN</a></span>&#8203;(int&nbsp;anneeNaissance)</code></th>
<td class="colLast">
<div class="block">Renvoie une liste d'élèves en fonction de l'age.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Eleve.html" title="class in com.crea.dev2.poo.beans">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
